headless lms

The organization's roles

GET /api/organizations/roles. The organization's roles. Headless LMS Roles API reference.

GET
/api/organizations/roles

Requires roles:read. Each role with its levels, permissions and the number of people who hold it.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/organizations/roles"
[  {    "key": "string",    "name": "string",    "description": "string",    "base": "string",    "levels": [      "org"    ],    "team": true,    "permissions": [      "organizations:read"    ],    "system": true,    "added": true,    "customized": true,    "holders": -9007199254740991,    "givable": true  }]
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}